from django.contrib import admin

from apps.gnous_eu.models import Service, Partner


class ServicesAdmin(admin.ModelAdmin):
    list_display = (
        "id",
        "name",
        "sources",
        "hosted",
        "domain_tag",
        "image_tag",
        "hidden",
    )
    fieldsets = [
        ("Global", {"fields": ["name", "domain", "photo"]}),
        ("Descriptions", {"fields": ["description", "description_en"]}),
        ("Types", {"fields": ["sources", "hosted"]}),
        ("Misc", {"fields": ["hidden"]}),
    ]


admin.site.register(Service, ServicesAdmin)


class PartnersAdmin(admin.ModelAdmin):
    list_display = (
        "id",
        "name",
        "domain_tag",
        "image_tag",
        "hidden",
    )
    fieldsets = [
        ("Global", {"fields": ["name", "domain", "photo"]}),
        ("Descriptions", {"fields": ["description", "description_en"]}),
        ("Misc", {"fields": ["hidden"]}),
    ]


admin.site.register(Partner, PartnersAdmin)
